#ifndef BACKGROUNDNODE_H
#define BACKGROUNDNODE_H

#include "scene/gui/guinode.h"

#include "scene/meshnode.h"

class BackGroundNode : public GUINode
{
protected:
    MeshNode* m_mesh;
    glm::vec2 m_dimension;
    glm::vec3 m_color;
    bool m_color_updated;
    float m_opacity;
    bool m_opacity_updated;
public:
    BackGroundNode(glm::vec2 dimension, glm::vec3 color, float opacity,float depth);
    void update();
    void setColor(glm::vec3 color);
    void setOpacity(float opacity);
    glm::vec2 getDimension();
};



#endif // BACKGROUNDNODE_H
